Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.toolkit
Class EditElementMouseTransformFactory.MoveElementTransform

    java.lang.Object
      jpicedt.graphic.toolkit.EditElementMouseTransformFactory.MoveElementTransform

All Implemented Interfaces:
  MouseTransform

Enclosing class:
  EditElementMouseTransformFactory

protected class EditElementMouseTransformFactory.MoveElementTransform
extends Object
implements MouseTransform

A mouse-transform that can translate an element, or a group of element.

Constructor Summary
`EditElementMouseTransformFactory.MoveElementTransform(BranchElement target, int anchorChildIndex, PicPoint clickPt, Grid grid)`
`EditElementMouseTransformFactory.MoveElementTransform(Element target, PicPoint clickPt, Grid grid)`

Method Summary
`Cursor` | `getCursor()` Return the cursor for this MouseTransform
`String` | `getHelpMessage()` Return a help-message for the UI, that makes sense with this transform.
`boolean` | `next(PEMouseEvent e)` Called when the left mouse-button changes state.
`void` | `paint(Graphics2D g, Rectangle2D allocation, double scale)` Allows the MouseTransform to do specific graphic rendering when it's operating.
`void` | `process(PEMouseEvent me)` Called when the mouse is dragged.
`void` | `start(PEMouseEvent e)` Called when the mouse is pressed.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EditElementMouseTransformFactory.MoveElementTransform

    public EditElementMouseTransformFactory.MoveElementTransform(BranchElement target,
                                                                 int anchorChildIndex,
                                                                 PicPoint clickPt,
                                                                 Grid grid)

Parameters:
  `target` - the selection-handler upon which this transform acts (globally)
  `anchorChildIndex` - index of target's child that will serve as the reference-child for grid alignment ; if null, target is used instead ;
  `clickPt` -

### EditElementMouseTransformFactory.MoveElementTransform

    public EditElementMouseTransformFactory.MoveElementTransform(Element target,
                                                                 PicPoint clickPt,
                                                                 Grid grid)

Parameters:
  `target` - the selection-handler upon which this transform acts ; also serve as the anchor for grid alignment.
  `clickPt` -

Method Detail

### start

    public void start(PEMouseEvent e)

  Called when the mouse is pressed.

  Specified by:
    `start` in interface `MouseTransform`

### getCursor

    public Cursor getCursor()

  Description copied from interface: `MouseTransform`
  Return the cursor for this MouseTransform

  Specified by:
    `getCursor` in interface `MouseTransform`
  Returns:
    a Cursor whose type is adequate with this mouse-transform.

### process

    public void process(PEMouseEvent me)

  Called when the mouse is dragged.

  Specified by:
    `process` in interface `MouseTransform`

### next

    public boolean next(PEMouseEvent e)

  Description copied from interface: `MouseTransform`
  Called when the left mouse-button changes state.

  Specified by:
    `next` in interface `MouseTransform`
  Returns:
    true if there's another task in the sequence, false if mouse-transform has completed with this mouse-event.

### paint

    public void paint(Graphics2D g,
                      Rectangle2D allocation,
                      double scale)

  Description copied from interface: `MouseTransform`
  Allows the MouseTransform to do specific graphic rendering when it's operating.

  Specified by:
    `paint` in interface `MouseTransform`

### getHelpMessage

    public String getHelpMessage()

  Description copied from interface: `MouseTransform`
  Return a help-message for the UI, that makes sense with this transform.

  Specified by:
    `getHelpMessage` in interface `MouseTransform`
  Returns:
    a help-message for the UI, that makes sense with this transform.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org